# Uses of Interface
java.net.ProtocolFamily

Packages that use ProtocolFamily
Package
Description
java.net
Provides the classes for implementing networking applications.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

- ## Uses of ProtocolFamily in java.net

  Classes in java.net that implement ProtocolFamily
  Modifier and Type
  Class
  Description
  `enum`
  `StandardProtocolFamily`
  Defines the standard families of communication protocols.

- ## Uses of ProtocolFamily in java.nio.channels

  Methods in java.nio.channels with parameters of type ProtocolFamily
  Modifier and Type
  Method
  Description
  `static DatagramChannel`
  DatagramChannel.`open(ProtocolFamily family)`
  Opens a datagram channel.
  `static ServerSocketChannel`
  ServerSocketChannel.`open(ProtocolFamily family)`
  Opens a server-socket channel.
  `static SocketChannel`
  SocketChannel.`open(ProtocolFamily family)`
  Opens a socket channel.

- ## Uses of ProtocolFamily in java.nio.channels.spi

  Methods in java.nio.channels.spi with parameters of type ProtocolFamily
  Modifier and Type
  Method
  Description
  `abstract DatagramChannel`
  SelectorProvider.`openDatagramChannel(ProtocolFamily family)`
  Opens a datagram channel.
  `ServerSocketChannel`
  SelectorProvider.`openServerSocketChannel(ProtocolFamily family)`
  Opens a server-socket channel.
  `SocketChannel`
  SelectorProvider.`openSocketChannel(ProtocolFamily family)`
  Opens a socket channel.